SDL_HINT_AUDIO_DISK_TIMESCALE(3)

NAME
SDL_HINT_AUDIO_DISK_TIMESCALE - A variable controlling the audio rate when using the disk audio driver.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_AUDIO_DISK_TIMESCALE SDL_AUDIO_DISK_TIMESCALE"

DESCRIPTION
The disk audio driver normally simulates real-time for the audio rate that was specified, but you can use this variable to adjust this rate higher or lower down to 0. The default value is "1.0".

This hint should be set before an audio device is opened.

AVAILABILITY
This hint is available since SDL 3.2.0.